Bug 247703 - smb kioslave needs libsmbclient but kdebase rpm does not depend on it
Summary: smb kioslave needs libsmbclient but kdebase rpm does not depend on it
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-10 20:10 UTC by Ravikiran Rajagopal
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-12 12:57:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ravikiran Rajagopal 2007-07-10 20:10:33 UTC
Description of problem:
The smb kioslave depends on libsmbclient. However, the kdebase rpm does 
include libsmbclient among its dependencies. So, when a user installs kdebase, 
the smb kioslave fails to work.

Version-Release number of selected component (if applicable):
kdebase-3.5.7-2.fc7


How reproducible:


Steps to Reproduce:
1. rpm -q --whatrequires libsmbclient
2. ldd /usr/lib64/kde3/kio_smb.so | grep libsmbclient
3.
  
Actual results:
rpm -q --whatrequires libsmbclient
libsmbclient.so.0 => (not found)

Expected results:
kdebase-3.5.7-2.fc7
libsmbclient.so.0 => /usr/lib64/libsmbclient.so.0

Additional info:
The spec file for kdebase needs a small patch in the "Requires:" section.

Comment 1 Rex Dieter 2007-07-12 12:57:39 UTC
WORKSFORME:
$rpm -q kdebase
kdebase-3.5.7-0.1.fc7.x86_64

$rpm -qR kdebase | grep smb
libsmbclient.so.0()(64bit)

$ldd -r /usr/lib64/kde3/kio_smb.so | grep smb
        libsmbclient.so.0 => /usr/lib64/libsmbclient.so.0 (0x00002aaaae829000)



Note You need to log in before you can comment on or make changes to this bug.